gr::radar::qtgui_spectrogram_plot_impl Class Reference

`#include <qtgui_spectrogram_plot_impl.h>`

Inheritance diagram for gr::radar::qtgui_spectrogram_plot_impl:

## Public Member Functions

| qtgui_spectrogram_plot_impl (int vlen, int interval, std::string xlabel, std::string ylabel, std::string label, std::vector< float > axis_x, std::vector< float > axis_y, std::vector< float > axis_z, bool autoscale_z, std::string len_key)
| ~qtgui_spectrogram_plot_impl ()
void | run_gui ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_argc
char * | d_argv
QApplication * | d_qApplication
int | d_vlen
int | d_interval
std::string | d_xlabel
std::string | d_ylabel
std::string | d_label
std::vector< float > | d_axis_x
std::vector< float > | d_axis_y
std::vector< float > | d_axis_z
std::vector< float > | d_buffer
bool | d_autoscale_z
spectrogram_plot * | d_main_gui

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::qtgui_spectrogram_plot
typedef std::shared_ptr< qtgui_spectrogram_plot > | sptr
Static Public Member Functions inherited from gr::radar::qtgui_spectrogram_plot
static sptr | make (int vlen, int interval, std::string xlabel, std::string ylabel, std::string label, std::vector< float > axis_x, std::vector< float > axis_y, std::vector< float > axis_z, bool autoscale_z, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::qtgui_spectrogram_plot.

## Constructor & Destructor Documentation

## qtgui_spectrogram_plot_impl()

gr::radar::qtgui_spectrogram_plot_impl::qtgui_spectrogram_plot_impl | ( | int | vlen,
|  | int | interval,
|  | std::string | xlabel,
|  | std::string | ylabel,
|  | std::string | label,
|  | std::vector< float > | axis_x,
|  | std::vector< float > | axis_y,
|  | std::vector< float > | axis_z,
|  | bool | autoscale_z,
|  | std::string | len_key )

## ~qtgui_spectrogram_plot_impl()

gr::radar::qtgui_spectrogram_plot_impl::~qtgui_spectrogram_plot_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::qtgui_spectrogram_plot_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## run_gui()

void gr::radar::qtgui_spectrogram_plot_impl::run_gui | ( |  | ) |

## work()

int gr::radar::qtgui_spectrogram_plot_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_argc

int gr::radar::qtgui_spectrogram_plot_impl::d_argc

## d_argv

char* gr::radar::qtgui_spectrogram_plot_impl::d_argv

## d_autoscale_z

bool gr::radar::qtgui_spectrogram_plot_impl::d_autoscale_z

## d_axis_x

std::vector<float> gr::radar::qtgui_spectrogram_plot_impl::d_axis_x

## d_axis_y

std::vector<float> gr::radar::qtgui_spectrogram_plot_impl::d_axis_y

## d_axis_z

std::vector<float> gr::radar::qtgui_spectrogram_plot_impl::d_axis_z

## d_buffer

std::vector<float> gr::radar::qtgui_spectrogram_plot_impl::d_buffer

## d_interval

int gr::radar::qtgui_spectrogram_plot_impl::d_interval

## d_label

std::string gr::radar::qtgui_spectrogram_plot_impl::d_label

## d_main_gui

spectrogram_plot* gr::radar::qtgui_spectrogram_plot_impl::d_main_gui

## d_qApplication

QApplication* gr::radar::qtgui_spectrogram_plot_impl::d_qApplication

## d_vlen

int gr::radar::qtgui_spectrogram_plot_impl::d_vlen

## d_xlabel

std::string gr::radar::qtgui_spectrogram_plot_impl::d_xlabel

## d_ylabel

std::string gr::radar::qtgui_spectrogram_plot_impl::d_ylabel

The documentation for this class was generated from the following file:

- qtgui_spectrogram_plot_impl.h